#include <stdio.h>

#include "config.h"
#include "types.h"

/* double to int64 conversion */
int64 __fixdfdi( double d )
{
    return (long) d;
}

/* float to int64 conversion */
int64 __fixsfdi( float f )
{
    return (long) f;
}

int32 __fixunssfsi( float f )
{
    return (int) f;
}

/* int64 to double conversion */
double __floatdidf( int64 l )
{
    return (double) (long) l;
}

/* int64 to float conversion */
float __floatdisf( int64 l )
{
    return (float) (long) l;
}

int64 __muldi3( int64 a, int64 b )
{
    return (long) a * (long) b;
}

int64 __ashldi3( int64 a, int64 b )
{
    return (long) a << (long) b;
}

int64 __ashrdi3( int64 a, int64 b )
{
    return (long) a >> (long) b;
}

int64 __divdi3( int64 a, int64 b )
{
    return (long) a / (long) b;
}

int64 __moddi3( int64 a, int64 b )
{
    return (long) a % (long) b;
}

/* int64 shift-left */
int64 _allshl( int64 a, int64 b )
{
    return (long) a << (long) b;
}

/* int64 shift-right */
int64 _allshr( int64 a, int64 b )
{
    return (long) a >> (long) b;
}
